<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("ti" . "tl" . "e" => base64_decode("dGl" . "0bG" . "U="), "_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a" => base64_decode("cGFyZW50X2" . "lk"), "_b2f5a10045116439" . "6178c16d2a5c6899" => base64_decode("cHJldl" . "90aXRs" . "ZQ=="), "_a5e22fe41a6e4288" . "b56df78f2f278f8f" => base64_decode("cHJldl" . "9wYXJl" . "bnRfaW" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_b2f5a10045116439" . "6178c16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_a5e22fe41a6e428" . "8b56df78f2f278f8" . "f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}